#### D.15.31.3 coverTuple

Procedure from library `tropicalEllipticCovers.lib` (see tropicalEllipticCovers_lib).

Usage:
  coverTuple(G,aa,O,t[,l]); G graph, aa list, O list, t int, l list

Assume:
  G is a Feynman graph, aa is a partition of the degree of the graph G, O is a given ordering of the vertices of G, t is an integer and l is a list of leaks in G.

Return:
  list.

Theory:
  Computes a list of tuples (depending on the int t) of the form (a_k, N_k, D_k) for all k=1,...,r, where r is the number of edges, a_k is the k-th entry in the partition aa of the degree of G, N_k and D_k are the corresponding numerator and denominator (respectively) of the propagator function whose product would return the coefficient of the Feynman integral.
  Every list of the tuples corresponds to a cover of the elliptic curve E. (For t=0, we get the results for simply ramified covers [BBM]. t=1, 2 we get results for graphs w/o vertex contributions respectively w/ vertex contributions as in [BGM1], and for t=3 we get the results for pearl chains as in [BGM2])

Example:

    LIB "tropicalEllipticCovers.lib";
    ring r=0,(x1,x2,x3,z1,z2,z3),dp;
    graph F=makeGraph(list(1,2,3),list(list(1,1),list(1,2),list(2,3),list(1,3)));
    coverTuple(F,list(1,0,0,2),list(x1,x2,x3),2,list(0,0,0));

User manual for Singular version 4.4.1, 2025, generated by texi2html.